#kujibiki_setting .content_box {
  /* end table_wrap */
}
#kujibiki_setting .content_box .table_wrap {
  margin-bottom: 0px;
  padding-bottom: 30px;
  border-bottom: dotted 3px #ccc;
}
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table {
  width: 100%;
}
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table thead tr th, #kujibiki_setting .content_box .table_wrap table.kuji_setting_table thead tr td,
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table tbody tr th,
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table tbody tr td {
  padding: 10px 15px;
  line-height: 1.5em;
  border: solid 1px #ccc;
  box-sizing: border-box;
}
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table thead tr {
  background-color: #6dc2ff;
}
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table thead tr th {
  color: #fff;
}
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table tbody tr {
  background-color: #fff;
}
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table tbody tr td input[type=text],
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table tbody tr td input[type=number] {
  padding: 1em;
  width: 100%;
  height: 50px;
  font-size: 1em;
  border-radius: 5px;
  box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
  box-sizing: border-box;
}
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table tbody tr td .del_btn {
  padding: 10px;
  min-width: 100%;
  min-height: 100%;
  width: 70px;
  height: auto;
  color: #fff;
  text-align: center;
  display: block;
  box-sizing: border-box;
  background-color: #ff0000;
  border-radius: 5px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;
  transition: opacity 0.3s;
}
#kujibiki_setting .content_box .table_wrap table.kuji_setting_table tbody tr td .del_btn:hover {
  opacity: 0.75;
}
#kujibiki_setting .content_box .table_wrap .add_btn {
  margin-top: 20px;
  padding: 10px 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: linear-gradient(to bottom, #99d4ff 0%, #3ba3ee 100%);
  border-radius: 5px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  cursor: pointer;
  transition: opacity 0.3s;
}
#kujibiki_setting .content_box .table_wrap .add_btn:hover {
  opacity: 0.75;
}
#kujibiki_setting .content_box .table_wrap .add_btn i.ico_add_kuji {
  width: 20px;
  height: 20px;
  display: block;
  background-image: url(./img/ico_plus.png);
  background-size: 20px 20px;
  background-repeat: no-reepat;
}
#kujibiki_setting .content_box .table_wrap .add_btn span {
  margin-left: 5px;
  color: #fff;
  font-weight: bold;
}
#kujibiki_setting .content_box .play_btn {
  margin-top: 30px;
  padding: 20px 10px;
  width: 100%;
  height: auto;
  font-weight: bold;
  font-size: 20px;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  background-color: #f3a143;
  border-radius: 5px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transition: opacity 0.3s, background-color 0.3s;
}
#kujibiki_setting .content_box .play_btn:hover {
  opacity: 0.75;
}

#kujibiki_result .content_box .kuji_length_info {
  margin-bottom: 10px;
  line-height: 1.5em;
}
#kujibiki_result .content_box #kujibiki_ui {
  /* end coverflow_wrap */
  /* end kuji_btn_wrap */
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap {
  position: relative;
  top: 0px;
  left: 0px;
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi {
  position: absolute;
  bottom: 8%;
  left: 50%;
  width: 50%;
  height: auto;
  display: flex;
  align-items: center;
  transform: translate(-50%, 0%);
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi input[type=range] {
  width: 100%;
  border: solid 1px #ccc;
  background-color: rgba(200, 200, 200, 0.75);
  box-shadow: inset 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
  border-radius: 0px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi input[type=range]::-webkit-slider-thumb {
  width: 90px;
  height: 30px;
  background-image: linear-gradient(to bottom, #555 25%, #000 100%);
  cursor: grab;
  -webkit-appearance: none;
  appearance: none;
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi input[type=range]::-webkit-slider-thumb:active {
  cursor: grabbing;
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi .coverflow_btn {
  position: relative;
  top: 0px;
  left: 0px;
  width: auto;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  aspect-ratio: 1/1;
  border: solid 1px #ccc;
  background-color: #7fc6f9;
  background-image: linear-gradient(to bottom, #555 25%, #000 100%);
  cursor: pointer;
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi .coverflow_btn:before {
  position: absolute;
  top: 50%;
  left: 50%;
  content: "";
  width: 12px;
  height: 12px;
  display: block;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center center;
  transform: translate(-50%, -50%);
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi .coverflow_back {
  border-top-left-radius: 15px;
  border-bottom-left-radius: 15px;
  border-right: none;
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi .coverflow_back:before {
  background-image: url(./img/coverflow_btn_arrow.png);
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi .coverflow_next {
  border-top-right-radius: 15px;
  border-bottom-right-radius: 15px;
  border-left: none;
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi .coverflow_next:before {
  background-image: url(./img/coverflow_btn_arrow.png);
  transform: translate(-50%, -50%) rotate(180deg);
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi_disable {
  filter: brightness(25%);
  pointer-events: none;
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .restart_btn_wrap {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  display: none;
  background-color: rgba(0, 0, 0, 0.75);
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .restart_btn_wrap .restart_btn {
  position: absolute;
  top: 50%;
  left: 50%;
  padding: 20px;
  min-width: 200px;
  color: #fff;
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  background-color: #f3a143;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transform: translate(-50%, -50%);
}
#kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .restart_btn_wrap .restart_btn i.restart_ico {
  margin-right: 10px;
  width: 20px;
  height: 20px;
  background-image: url(./img/restart_ico.png);
  background-size: 20px 20px;
}
#kujibiki_result .content_box #kujibiki_ui .kuji_btn_wrap {
  margin-top: 20px;
  padding: 20px;
  display: flex;
  justify-content: center;
  align-items: centr;
  border-radius: 5px;
  background-color: #ddd;
}
#kujibiki_result .content_box #kujibiki_ui .kuji_btn_wrap .kuji_show_btn,
#kujibiki_result .content_box #kujibiki_ui .kuji_btn_wrap .kuji_close_btn {
  padding: 20px 10px;
  width: 50%;
  height: auto;
  font-weight: bold;
  font-size: 20px;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  background-color: #f3a143;
  border-radius: 5px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transition: opacity 0.3s, background-color 0.3s;
}
#kujibiki_result .content_box #kujibiki_ui .kuji_btn_wrap .kuji_show_btn:hover,
#kujibiki_result .content_box #kujibiki_ui .kuji_btn_wrap .kuji_close_btn:hover {
  opacity: 0.75;
}
#kujibiki_result .content_box #kujibiki_ui .kuji_btn_wrap .kuji_close_btn {
  margin-left: 20px;
}
#kujibiki_result .content_box #kujibiki_ui .kuji_btn_wrap .disable_btn {
  background-color: #666;
  pointer-events: none;
}
#kujibiki_result .content_box #kujibiki_ui .kuji_btn_wrap .disable_btn:hover {
  opacity: 1;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap {
  margin-top: 40px;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap {
  width: 100%;
  height: auto;
  overflow-x: scroll;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table {
  min-width: 700px;
  width: 100%;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead,
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody {
  display: block;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead tr,
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr {
  display: flex;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead tr th, #kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead tr td,
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr th,
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr td {
  padding: 10px 15px;
  height: 70px;
  line-height: 1.5em;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: solid 1px #ccc;
  border-left: solid 1px #ccc;
  box-sizing: border-box;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead tr th:last-of-type, #kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead tr td:last-of-type,
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr th:last-of-type,
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr td:last-of-type {
  border-right: solid 1px #ccc;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead tr .kujibiki_order,
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr .kujibiki_order {
  width: 10%;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead tr .end_kuji_text,
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead tr .kujibiki_player_name,
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr .end_kuji_text,
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr .kujibiki_player_name {
  width: 45%;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead {
  width: 100%;
  height: auto;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead tr {
  background-color: #6dc2ff;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table thead tr th {
  color: #fff;
  border-top: solid 1px #ccc;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody {
  width: 100%;
  max-height: 280px;
  overflow-y: scroll;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr {
  background-color: #e5f2ff;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr:nth-child(odd) {
  background-color: #fff;
}
#kujibiki_result .content_box #kujibiki_ui .end_kuji_table_wrap .table_wrap table.end_kuji_table tbody tr td.kujibiki_player_name input[type=text] {
  padding: 1em;
  width: 100%;
  height: 50px;
  font-size: 1em;
  border-radius: 5px;
  box-shadow: inset 0px 0px 5px 0px rgba(0, 0, 0, 0.5);
  box-sizing: border-box;
}

@media screen and (max-width: 480px) {
  .container main {
    width: 100%;
  }
  .container main .content_box {
    padding: 35px 10px 35px 10px !important;
    border: none !important;
  }

  #kujibiki_setting .content_box .play_btn {
    font-size: 18px;
  }

  #kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi input[type=range]::-webkit-slider-thumb {
    width: 45px;
    height: 17px;
  }
  #kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi .coverflow_btn {
    height: 17px;
  }
  #kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi .coverflow_btn:before {
    width: 6.8px;
    height: 6.8px;
  }
  #kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi .coverflow_back {
    border-top-left-radius: 8.5px;
    border-bottom-left-radius: 8.5px;
  }
  #kujibiki_result .content_box #kujibiki_ui .coverflow_wrap .coverflow_navi .coverflow_next {
    border-top-right-radius: 8.5px;
    border-bottom-right-radius: 8.5px;
  }
  #kujibiki_result .content_box #kujibiki_ui .kuji_btn_wrap .kuji_show_btn,
#kujibiki_result .content_box #kujibiki_ui .kuji_btn_wrap .kuji_close_btn {
    font-size: 18px;
  }
}